MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024222Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-10-04 15:052013-12-19 13:58
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024222: Compiler warnings 'unreacheable code' and 'conditional expression is constant' in MOA
DescriptionWarning 29 warning C4702: unreachable code d:\occt\src\qanewmodtopope\qanewmodtopope_glue_wire.cxx 982 TKQADraw

Warning 6 warning C4127: conditional expression is constant D:\occt\inc\IntCurveSurface_Polyhedron.gxx 198 TKGeomAlgo
Warning 7 warning C4127: conditional expression is constant D:\occt\inc\IntCurveSurface_Polyhedron.gxx 289 TKGeomAlgo
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024167closedbugmaster Compiler warnings 'unreacheable code' and 'conditional expression is constant' in MOA 

-  Notes
(0025905)
aml (developer)
2013-10-04 16:56

Dear ifv,
Please, test the current state of branch CR24222 to be sure it is still ok.
(0025908)
ifv (developer)
2013-10-04 17:52

Ok for IntCurveSurface_Polyhedron.gxx
For second file:
        if (aCurPar > aFPar && aCurPar < aLPar)
        {
          aBuilder.Add(anEdge, aCurVtx);
        }
        break;
It is bug, code must be:
        if (aCurPar > aFPar && aCurPar < aLPar)
        {
          aBuilder.Add(anEdge, aCurVtx);
          break;
        }
So,
      // Search for the split the current vertex belongs to.
      for (; anEdgeIter.More(); anEdgeIter.Next())
       ....
cannot be replaced by if(...)
(0025925)
aml (developer)
2013-10-07 09:34

Dear ifv,
Please, test the current state of branch CR24222 to be sure it is still ok.
(0025926)
ifv (developer)
2013-10-07 10:11

OK
(0025947)
mkv (tester)
2013-10-08 09:13

Dear BugMaster,

Branch CR24222 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 5607c034edb922f7d375209643338c2c2e4e5462

Number of compiler warnings:

occt component :
Linux: 424 (424 on master)
Windows: 6 (9 on master)

products component :
Linux: (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365786044 / 367122200
Total CPU difference: 42408.990000001024 / 44590.37000000126

Testing on Windows:
Total MEMORY difference: 431345668 / 433395420
Total CPU difference: 49655.546875 / 41888.765625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 617cf082
Timestamp: 2013-10-10 10:43:03
Author: aml
Committer: bugmaster
Details ] Diff ]
0024222: Compiler warnings 'unreacheable code' and 'conditional expression is constant' in MOA

Eliminated MSVS L4 warnings.
fixed incorrect break invoking in edge searching in SplitEdge.
mod - src/IntCurveSurface/IntCurveSurface_Polyhedron.gxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue_wire.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-04 15:05 aml New Issue
2013-10-04 15:05 aml Assigned To => aml
2013-10-04 15:06 aml Relationship added child of 0024167
2013-10-04 15:07 aml View Status private => public
2013-10-04 16:30 aml Status new => assigned
2013-10-04 16:56 aml Note Added: 0025905
2013-10-04 16:56 aml Assigned To aml => ifv
2013-10-04 16:56 aml Status assigned => resolved
2013-10-04 17:52 ifv Note Added: 0025908
2013-10-04 17:52 ifv Assigned To ifv => aml
2013-10-04 17:52 ifv Status resolved => feedback
2013-10-07 09:34 aml Note Added: 0025925
2013-10-07 09:34 aml Assigned To aml => ifv
2013-10-07 09:34 aml Status feedback => resolved
2013-10-07 10:11 ifv Note Added: 0025926
2013-10-07 10:11 ifv Status resolved => reviewed
2013-10-07 10:43 mkv Assigned To ifv => mkv
2013-10-08 09:13 mkv Note Added: 0025947
2013-10-08 09:14 mkv Test case number => Not needed
2013-10-08 09:14 mkv Assigned To mkv => bugmaster
2013-10-08 09:14 mkv Status reviewed => tested
2013-10-10 12:23 bugmaster Target Version => 6.7.0
2013-10-11 13:35 bugmaster Changeset attached => occt master 617cf082
2013-10-11 13:35 bugmaster Status tested => verified
2013-10-11 13:35 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker